import sv_flow
svaf = sv_flow.SV_ApexFlow()
# Design-Specific Options
#svaf.inputProjectFile = "./Inputs/Leads.phys"
svaf.designFile = "C:\projects\SV\PCBPowerSupply1\PCB\Output\PowerSupplyBoard.cce"
svaf.projectFile = "C:\projects\SV\PCBPowerSupply1\PCB\Output\PowerSupplyBoard_f3d.phys"
svaf.nets = ["A_OUT", "FB", "FETOUT", "PWM_Gate"]
svaf.groundNets = ["GND"]
svaf.portNets = ["A_OUT", "FB", "FETOUT", "PWM_Gate"]
# Common Settings (All / Defaults):
svaf.portNaming = "$Net!!$Pin!!$RefComp"
svaf.sinkComponents = "[ULB].*"  # U, L, and B Components are the Sinks
svaf.groupPins = False  # Group Pins on the same Net & Component (for example, to merge parallel bond wires into the same port)
svaf.spiceSubstitutions = {"$" : "N"}  # substitutions to use when exporting the SPICE model
svaf.spiceStages = 5  # (int) Number of stages to use in the exported SPICE file (default 5).
svaf.setLogFile("C:\projects\SV\PCBPowerSupply1\PCB\Output\Messages.log")
svaf.setExtractionType(False, True, 1.0e8)  # DC, AC, Frequency
svaf.circuits = {'short': 'NT.*'}  # Short all Components starting with NT
# Common Settings (PCB):
svaf.renamePins = False  # flag to control if Pins are renamed
#svaf.useCoordinatesInPinName = False  # flag to control if x,y,z are used in Pin Names
#svaf.pinsToMove = [{"pinNames": "EC.*\.[0-9]", "newLayerName": "bottom"}]
#svaf.solderBalls = ["U1"]
# Common Settings (PKG):
#svaf.boolFiles = ["boolfile.bool"]
# Setup, Solve, Export:
svaf.setup()
svaf.solve()
svaf.exportSPICE("C:\projects\SV\PCBPowerSupply1\PCB\Output\PowerSupplyBoard-Netlist.sp")
#svaf.postProcess()
