-- genhdl\tc4420_blkmod_wc/tc4420_blkmod_wc.vhd
-- Generated by SystemVision VHDL Netlister 5.6 (EE flow)
-- File created Wed May 19 05:38:25 2010

library ieee;
library edulib;
library svlib;
use ieee.electrical_systems.all;
use ieee.fluidic_systems.all;
use ieee.mechanical_systems.all;
use ieee.radiant_systems.all;
use ieee.std_logic_1164.all;
use ieee.thermal_systems.all;
use work.all;

entity my_tc4420_blkmod is
   port( terminal GND0 : ELECTRICAL;
         terminal GND1 : ELECTRICAL;
         terminal INPUT : ELECTRICAL;
         terminal OUT1 : ELECTRICAL;
         terminal OUT0 : ELECTRICAL;
         terminal VCC0 : ELECTRICAL;
         terminal VCC1 : ELECTRICAL );
end entity my_tc4420_blkmod;

architecture arch_wc of my_tc4420_blkmod is
   terminal \$1N320\: ELECTRICAL;
   terminal VCC: ELECTRICAL;
   signal \$1N376\: STD_LOGIC;
   terminal OUT_INT: ELECTRICAL;
   signal \$1N368\: STD_LOGIC;
   signal \$1N357\: STD_LOGIC;
   terminal INPUT_INT: ELECTRICAL;
   terminal GND: ELECTRICAL;

begin

   \$1I173\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => OUT1,
                P2 => OUT_INT );

   \$1I282\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => INPUT,
                P2 => INPUT_INT );
   
   -- Added ccomp input capacitance              
   ccompreceiver : entity EDULIB.CAPACITOR(IDEAL)
      generic map ( CAP => 6.0E-12 )
      port map ( P1 => INPUT,
                P2 => ELECTRICAL_REF );
                
   -- Added input termination to make ringing closer to real part             
   inputterm : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 50.0 )
      port map ( P1 => INPUT,
                P2 => ELECTRICAL_REF );

   \$1I299\ : entity EDULIB.ZENER_DIODE_DS(IDEAL)
      generic map ( V_ZENER => 4.7 )
      port map ( P => INPUT_INT,
                N => \$1N320\ );

   \$1I8\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => GND0,
                P2 => GND );

   \$1I25\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => GND1,
                P2 => GND );

   \$1I157\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => VCC1,
                P2 => VCC );

   \$1I158\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => VCC0,
                P2 => VCC );

   \$1I176\ : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 1.0E-5 )
      port map ( P1 => OUT0,
                P2 => OUT_INT );
      
   -- Added cap for output edge rate control             
   edgerateload_out0 : entity EDULIB.CAPACITOR(IDEAL)
      generic map ( CAP => 4.0E-9 )
      port map ( P1 => OUT0,
                P2 => GND );
   -- Added cap for output edge rate control         
   edgerateload_out1 : entity EDULIB.CAPACITOR(IDEAL)
      generic map ( CAP => 4.0E-9 )
      port map ( P1 => OUT1,
                P2 => GND );

   \$1I292\ : entity EDULIB.CAPACITOR(IDEAL)
      generic map ( CAP => 38.0E-12 )
      port map ( P1 => INPUT_INT,
                P2 => GND );

   \$1I301\ : entity EDULIB.DIODE(IDEAL)
      port map ( N => \$1N320\,
                P => GND );

   \$1I308\ : entity EDULIB.DIODE(IDEAL)
      port map ( N => VCC,
                P => INPUT_INT );

   -- added R_OPEN
   \$1I327\ : entity EDULIB.SWITCH_DIG(IDEAL)
      generic map ( TRANS_TIME => 25.0E-9,
                    R_OPEN => 1.0e6,
                    R_CLOSED => 1.5 )
      port map ( SW_STATE => \$1N368\,
                P1 => GND,
                P2 => OUT_INT );

   -- added R_OPEN
   \$1I334\ : entity EDULIB.SWITCH_DIG(IDEAL)
      generic map ( TRANS_TIME => 25.0E-9,
                    R_OPEN => 1.0e6,
                    R_CLOSED => 2.1 )
      port map ( SW_STATE => \$1N357\,
                P1 => OUT_INT,
                P2 => VCC );

   A2D1 : entity SVLIB.A2D_HYSTERESIS(BEHAVIORAL)
      generic map ( VTHRESHOLD_HIGH => 1.8,
                    VTHRESHOLD_LOW => 1.3 )
      port map ( A => INPUT_INT,
                D_OUTPUT => \$1N376\ );

   \$1I343\ : entity EDULIB.BUF(IDEAL)
      generic map ( DELAY => 75 NS )
      port map ( OUTPUT => \$1N357\,
                INPUT => \$1N376\ );

   \$1I377\ : entity EDULIB.INVERTER(IDEAL)
      generic map ( DELAY => 75 NS )
      port map ( INPUT => \$1N376\,
                OUTPUT => \$1N368\ );

end architecture arch_wc;

