-------------------------------------------------------------------------------
-- Copyright (c) 2010 Mentor Graphics Corporation, all rights reserved
--
-- This model is a component of the SystemVision platform (www.mentor.com/sm)
-- and is covered by this license agreement. This model,
-- including any updates, modifications, revisions, copies, and documentation 
-- are copyrighted works of Mentor Graphics. USE OF THIS MODEL INDICATES YOUR 
-- COMPLETE AND UNCONDITIONAL ACCEPTANCE OF THE TERMS AND CONDITIONS SET FORTH
-- IN THIS LICENSE AGREEMENT.  Mentor Graphics grants you a non-exclusive 
-- license to use and modify this model, provided that:
-- (a) the model not be distributed to parties not covered by a current
-- Mentor Graphics software license agreement
-- (b) the model only be used with a licensed Mentor tool
-- (c) the comment text embedded in this model is included verbatim
-- in each copy of this model made or distributed by you, whether or not such 
-- version is modified; 
-- (d) any modified version must include a conspicuous 
-- notice that this model has been modified and the date of modification 
-- including any updates, modifications, revisions, copies, and documentation 
--
-- THIS MODEL IS LICENSED TO YOU "AS IS" AND WITH NO WARRANTIES, EXPRESS OR 
-- IMPLIED.  MENTOR GRAPHICS SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF 
-- MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  MENTOR GRAPHICS SHALL
-- HAVE NO RESPONSIBILITY FOR ANY DAMAGES WHATSOEVER.
-------------------------------------------------------------------------------
-- genhdl\ti_cd74ac32m_blkmod/ti_cd74ac32m_blkmod.vhd
-- Generated by SystemVision VHDL Netlister 5.6 (EE flow)
-- File created Tue May 18 01:53:40 2010

library ieee;
library edulib;
use ieee.electrical_systems.all;
use ieee.fluidic_systems.all;
use ieee.mechanical_systems.all;
use ieee.radiant_systems.all;
use ieee.std_logic_1164.all;
use ieee.thermal_systems.all;
use work.all;

entity TI_CD74AC32M_BlkMod is
   port( TERMINAL IN1 : ELECTRICAL;
         TERMINAL IN2 : ELECTRICAL;
         TERMINAL OUTA : ELECTRICAL );
end entity TI_CD74AC32M_BlkMod;

architecture arch_TI_CD74AC32M_BlkMod of TI_CD74AC32M_BlkMod is
   signal \$1N26\: STD_LOGIC;
   signal \$1N31\: STD_LOGIC;
   signal \$1N21\: STD_LOGIC;

begin

   \$1I9\ : entity EDULIB.A2D_BIT
      port map ( A => IN1,
                D => \$1N21\ );

   \$1I11\ : entity EDULIB.A2D_BIT
      port map ( A => IN2,
                D => \$1N26\ );

   \$1I19\ : entity EDULIB.OR2
      port map ( IN1 => \$1N21\,
                IN2 => \$1N26\,
                OUTPUT => \$1N31\ );

   \$1I29\ : entity EDULIB.D2A_BIT
      -- added edge rate control and c_comp
      generic map ( t_ramp => 10.0E-9 )
      port map ( D => \$1N31\,
                A => OUTA );
                
   -- added ccomp effect to output driver           
   ccompdriver : entity EDULIB.CAPACITOR(IDEAL)
      generic map ( CAP => 10.0E-12 )
      port map ( P1 => OUTA,
                P2 => ELECTRICAL_REF );

end architecture arch_TI_CD74AC32M_BlkMod;

